Bug 2026436 - [Errno 2] No such file or directory: '/usr/lib64/python3.10/site-packages/neuron/help_data.dat'
Summary: [Errno 2] No such file or directory: '/usr/lib64/python3.10/site-packages/neu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: neuron
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-24 16:14 UTC by Ankur Sinha (FranciscoD)
Modified: 2022-05-03 17:39 UTC (History)
2 users (show)

Fixed In Version: neuron-8.0.2-3.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-03 17:39:42 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2021-11-24 16:14:01 UTC
Description of problem:
When trying to access the Python documentation, one gets this error:

[Errno 2] No such file or directory: '/usr/lib64/python3.10/site-packages/neuron/help_data.dat'

Version-Release number of selected component (if applicable):
python3-neuron-7.8.1-12.fc35.x86_64

How reproducible:
Always

Steps to Reproduce:
1. run the python interpreter
2. run: `from neuron import h; help(h.IClamp)`
3.

Actual results:
Error

Expected results:
Docs should be available

Additional info:
We've probably just missed the file in packaging. Needs checking.

Comment 1 Ben Cotton 2022-02-08 21:25:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 2 Fedora Update System 2022-05-03 17:36:55 UTC
FEDORA-2022-288a9148b3 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-288a9148b3

Comment 3 Fedora Update System 2022-05-03 17:39:42 UTC
FEDORA-2022-288a9148b3 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.